package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DpiSettings
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DpiSettings   {
  @JsonProperty("dpi")
  private Boolean dpi;

  @JsonProperty("loggingTraffic")
  private Boolean loggingTraffic;

  public DpiSettings dpi(Boolean dpi) {
    this.dpi = dpi;
    return this;
  }

  /**
   * Enable dpi. true:enable / false:disable
   * @return dpi
  */
  @ApiModelProperty(required = true, value = "Enable dpi. true:enable / false:disable")
  @NotNull


  public Boolean getDpi() {
    return dpi;
  }

  public void setDpi(Boolean dpi) {
    this.dpi = dpi;
  }

  public DpiSettings loggingTraffic(Boolean loggingTraffic) {
    this.loggingTraffic = loggingTraffic;
    return this;
  }

  /**
   * Enable logging traffic. true:enable / false:disable
   * @return loggingTraffic
  */
  @ApiModelProperty(required = true, value = "Enable logging traffic. true:enable / false:disable")
  @NotNull


  public Boolean getLoggingTraffic() {
    return loggingTraffic;
  }

  public void setLoggingTraffic(Boolean loggingTraffic) {
    this.loggingTraffic = loggingTraffic;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DpiSettings dpiSettings = (DpiSettings) o;
    return Objects.equals(this.dpi, dpiSettings.dpi) &&
        Objects.equals(this.loggingTraffic, dpiSettings.loggingTraffic);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dpi, loggingTraffic);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DpiSettings {\n");
    
    sb.append("    dpi: ").append(toIndentedString(dpi)).append("\n");
    sb.append("    loggingTraffic: ").append(toIndentedString(loggingTraffic)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

